/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.mospcommon.system.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

/**
 * CM_AGREEMENT_OVER_TIME(時間外協定マスタ)のDTOクラス。
 */
public class CmAgreementOverTimeDto extends BaseDto {
	
	/**
	 * 
	 */
	private static final long	serialVersionUID		= 7014448145234445670L;
	// フィールド
	private int					overtimeid				= 0;
	private String				overtimecode			= "";
	private String				worktypename			= "";
	private String				cause					= "";
	private String				agreetype				= "";
	private String				limitcode				= "";
	private int					overtimerate			= 0;
	private int					cautionmonth			= 0;
	private int					monthlyovertimerate		= 0;
	private int					subacquirerate			= 0;
	private int					subacquireholidayrate	= 0;
	private int					subquitrate				= 0;
	private Date				startdate				= null;
	private int					deleteflag				= 0;
	

	/**
	 * コンストラクタ。
	 */
	public CmAgreementOverTimeDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return overtimeid 	時間外協定ID。
	 */
	public int getOverTimeId() {
		return overtimeid;
	}
	
	/**
	 * @return overtimecode 	時間外協定コード。
	 */
	public String getOverTimeCode() {
		return overtimecode;
	}
	
	/**
	 * @return worktypename 	業務の種類。
	 */
	public String getWorkTypeName() {
		return worktypename;
	}
	
	/**
	 * @return cause 	具体的事由。
	 */
	public String getCause() {
		return cause;
	}
	
	/**
	 * @return agreetype 	協定種類。
	 */
	public String getAgreeType() {
		return agreetype;
	}
	
	/**
	 * @return limitcode 	限度基準コード。
	 */
	public String getLimitCode() {
		return limitcode;
	}
	
	/**
	 * @return overtimerate 	時間外割増賃金率。
	 */
	public int getOverTimeRate() {
		return overtimerate;
	}
	
	/**
	 * @return cautionmonth 	月60時間時間外警告時間。
	 */
	public int getCautionMonth() {
		return cautionmonth;
	}
	
	/**
	 * @return monthlyovertimerate 	月60時間時間外割増賃金率。
	 */
	public int getMonthlyOverTimeRate() {
		return monthlyovertimerate;
	}
	
	/**
	 * @return subacquirerate 	代替休暇取得割増賃金率。
	 */
	public int getSubAcquireRate() {
		return subacquirerate;
	}
	
	/**
	 * @return subacquireholidayrate 	代替休暇取得休日割増賃金率。
	 */
	public int getSubAcquireHolidayRate() {
		return subacquireholidayrate;
	}
	
	/**
	 * @return subquitrate 	代替休暇放棄割増賃金率。
	 */
	public int getSubQuitRate() {
		return subquitrate;
	}
	
	/**
	 * @return startdate 	開始年月日。
	 */
	public Date getStartDate() {
		return (Date)startdate.clone();
	}
	
	/**
	 * @return deleteflag 	削除フラグ。
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param overtimeid 	セットする時間外協定ID。
	 */
	public void setOverTimeId(int overtimeid) {
		this.overtimeid = overtimeid;
	}
	
	/**
	 * @param overtimecode 	セットする時間外協定コード。
	 */
	public void setOverTimeCode(String overtimecode) {
		this.overtimecode = overtimecode;
	}
	
	/**
	 * @param worktypename 	セットする業務の種類。
	 */
	public void setWorkTypeName(String worktypename) {
		this.worktypename = worktypename;
	}
	
	/**
	 * @param cause 	セットする具体的事由。
	 */
	public void setCause(String cause) {
		this.cause = cause;
	}
	
	/**
	 * @param agreetype 	セットする協定種類。
	 */
	public void setAgreeType(String agreetype) {
		this.agreetype = agreetype;
	}
	
	/**
	 * @param limitcode 	セットする限度基準コード。
	 */
	public void setLimitCode(String limitcode) {
		this.limitcode = limitcode;
	}
	
	/**
	 * @param overtimerate 	セットする時間外割増賃金率。
	 */
	public void setOverTimeRate(int overtimerate) {
		this.overtimerate = overtimerate;
	}
	
	/**
	 * @param cautionmonth 	セットする月60時間時間外警告時間。
	 */
	public void setCautionMonth(int cautionmonth) {
		this.cautionmonth = cautionmonth;
	}
	
	/**
	 * @param monthlyovertimerate 	セットする月60時間時間外割増賃金率。
	 */
	public void setMonthlyOverTimeRate(int monthlyovertimerate) {
		this.monthlyovertimerate = monthlyovertimerate;
	}
	
	/**
	 * @param subacquirerate 	セットする代替休暇取得割増賃金率。
	 */
	public void setSubAcquireRate(int subacquirerate) {
		this.subacquirerate = subacquirerate;
	}
	
	/**
	 * @param subacquireholidayrate 	セットする代替休暇取得休日割増賃金率。
	 */
	public void setSubAcquireHolidayRate(int subacquireholidayrate) {
		this.subacquireholidayrate = subacquireholidayrate;
	}
	
	/**
	 * @param subquitrate 	セットする代替休暇放棄割増賃金率。
	 */
	public void setSubQuitRate(int subquitrate) {
		this.subquitrate = subquitrate;
	}
	
	/**
	 * @param startdate 	セットする開始年月日。
	 */
	public void setStartDate(Date startdate) {
		this.startdate = (Date)startdate.clone();
	}
	
	/**
	 * @param deleteflag 	セットする削除フラグ。
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
	
}
